import { MatrixEvent } from "matrix-js-sdk/src/matrix";
import React from "react";
interface IProps {
    event: MatrixEvent;
    onFinished(success?: false, reason?: void): void;
    onFinished(success: true, reason?: string): void;
}
export default class ConfirmRedactDialog extends React.Component<IProps> {
    render(): React.ReactNode;
}
export declare function createRedactEventDialog({ mxEvent, onCloseDialog, }: {
    mxEvent: MatrixEvent;
    onCloseDialog?: () => void;
}): void;
export {};
